package com.cyksj.service.corp.msg;

import com.cyksj.model.request.corp.CorpXmlMessage;
import com.cyksj.model.request.corp.CorpXmlOutMessage;

import java.util.Map;

/*
 *项目名: netflix
 *文件名: CorpEventOperateService
 *创建者: JavaZou
 *创建时间:2022/10/13 16:11
 */
public interface CorpEventActionService {
	CorpXmlOutMessage addExternalContact(CorpXmlMessage message, Map<String, Object> context) throws Exception;

	CorpXmlOutMessage editExternalContact(CorpXmlMessage message, Map<String, Object> context) throws Exception;

	CorpXmlOutMessage delExternalContact(CorpXmlMessage message, Map<String, Object> context);

	CorpXmlOutMessage delFollowUser(CorpXmlMessage message, Map<String, Object> context);

	CorpXmlOutMessage saveCorpTag(CorpXmlMessage message, Map<String, Object> context) throws Exception;

	CorpXmlOutMessage delCorpTag(CorpXmlMessage message, Map<String, Object> context);

	CorpXmlOutMessage saveCorpGroupChat(CorpXmlMessage message, Map<String, Object> context) throws Exception;

	CorpXmlOutMessage updateCorpGroupChat(CorpXmlMessage message, Map<String, Object> context) throws Exception;

	CorpXmlOutMessage delCorpGroupChat(CorpXmlMessage message);

    CorpXmlOutMessage msgAuditApproved(CorpXmlMessage message, Map<String, Object> context);

	CorpXmlOutMessage customerStartChat(CorpXmlMessage message, Map<String, Object> context);

	CorpXmlOutMessage creatOrUpdateFollowUser(CorpXmlMessage message) throws Exception;
}
